## mupen64plus-video-rice 1.99.4

=== debian/changelog ===
mupen64plus-video-rice (1.99.4-6) unstable; urgency=low

  * Update copyright years in debian/copyright
  * Change dependency libpng12-dev to new name libpng-dev (Closes: #662440)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 05 Mar 2012 09:34:33 +0100

mupen64plus-video-rice (1.99.4-5) unstable; urgency=low

  * debian/control:
    - Add virtual package libsdl-dev as alternative build dependency
  * Don't mix implicit and explicit rules to prevent FTBFS with make
    3.82
  * Remove hardening-includes which are now integrated in dpkg-
    buildflags
  * Use debian packaging manual URL as format identifier in
    debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Mon, 31 Oct 2011 12:50:39 +0100

mupen64plus-video-rice (1.99.4-4) unstable; urgency=low

  * debian/patches:
    - Rewrite highres_memcorruption.patch to prevent further crashes and
      texture corruptions

 -- Sven Eckelmann <sven@narfation.org>  Sun, 14 Aug 2011 17:07:19 +0200

mupen64plus-video-rice (1.99.4-3) unstable; urgency=low

  * Upload to unstable
  * debian/rules:
    - Mark all targets as phony
    - Force PIC using Makefile option
    - Remove unintended optimization flags
  * debian/patches:
    - Remove default-optimisations.patch, hurd_os.patch
    - Add rewrite_makefile.patch, Rewrite Makefile to fix flags and
      linking
    - Add png_truecolor_conversation.patch, Convert 8-bit png to
      truecolor when needed
    - Add divide_by_zero.patch, Fix random crash due to divide-by-zero
      error
    - Add undefined_functions.patch, Add header for undefined
      min/max/memcpy
    - Add portable_movsxl.patch, Replace movsxl with more portable
      mnemonic movslq
    - Add infinit_loop.patch, Fix double infinit loop in
      GetValidTmemInfoIndex
    - Add wom_corruption.patch, Remove write-only member variables
      m_bClampS and m_bClampT
    - Add z_coordinate_lines.patch, Fix z coordinate in 3d line
      rendering
    - Add mipmapping.patch, Synchronize MipMapping options in Arachnoid
      and Rice
  * Depend on pkg-config in debian/control for new Makefile

 -- Sven Eckelmann <sven@narfation.org>  Sun, 24 Jul 2011 14:24:45 +0200

mupen64plus-video-rice (1.99.4-2) experimental; urgency=low

  * debian/patches:
    - Add highres_memcorruption.patch, fix crash in loading Celda 2009
      hi-res texture pack for Zelda Ocarina of Time
  * Upgraded to policy 3.9.2, no changes required
  * Update Vcs-* fields to new anonscm.debian.org URLs in debian/control
  * Add multiarch support

 -- Sven Eckelmann <sven@narfation.org>  Sat, 11 Jun 2011 16:54:18 +0200

mupen64plus-video-rice (1.99.4-1) experimental; urgency=low

  * New Upstream Version
  * Updated my maintainer e-mail address
  * Split source package to match upstreams modular release packages
  * debian/copyright:
    - Update to DEP5 revision 164
    - Update copyright years
  * debian/patches:
    - Add hurd_os.patch, Add GNU/Hurd as operating system with "linux"
      userland
    - Rebase default-optimisations.patch against 1.99.4
    - Remove upstream merged patches: as-needed.patch,
      correct_fpr32_mapping.patch, correct_security_printf.patch,
      debian-archs.patch, dejavu-font.patch, destdir.patch,
      dont-install-unneeded.patch, fix-7z-subfolder.patch,
      fix-desktop-file.patch, fix_r0_override.patch, fix_readpng.patch,
      ftbfs-debugger.patch, ftbfs-dynarec.patch, ftbfs-glibc210.patch,
      ftbfs-gvariant-type-conflicts.patch, ftbfs-kfreebsd.patch,
      glide64_hurd.patch, glide64-noasm.patch, gtk-open-filter.patch,
      interpreter_x86_fldcw.patch, jttl_fix_romclosed.patch,
      link_gdk.patch, load_aidacrate.patch, load_vistatus.patch,
      noexecstack.patch, optional_signinfo.patch, osd-pause-crash.patch,
      path_max.patch, pie_support.patch, plugin-searchpath.patch,
      remove-gln64.patch, remove-nondfsg-icons.patch,
      resume_on_start.patch, rice-ati-symbols.patch,
      rice-crash-vendorstring.patch, rice_fog.patch, rice_nodebug.patch,
      rice-screenflickering.patch, rice-texturepack-crash.patch,
      rsp_hle_bigendian.patch, rsp_ucode2_reset.patch,
      static-binutils-libs.patch, system-libbz2.patch,
      system-liblzma.patch, system-libpng.patch, system-zlib.patch,
      version-string.patch, xdg-basedir.patch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 22 Jan 2011 11:05:28 +0100

mupen64plus (1.5+dfsg1-14) experimental; urgency=low

  * Upgraded to policy 3.9.1, no changes required
  * Upgrade debhelper compat to v8
  * debian/rules:
    - set *FLAGS using dpkg-buildflags in debian/rules to work like
      dpkg-buildpackage when called directly
    - Use hardening-includes for CFLAGS and LDFLAGS hardened builds
    - Use externally provided LDFLAGS
    - Disable support for debugger due to missing pic/pie support of
      libopcodes.a
  * debian/patches:
    - Add correct_security_printf.patch, Correct possible printf format
      string vulnerability
    - Add pie_support.patch, Add support for PIE/PIC

 -- Sven Eckelmann <sven@narfation.org>  Thu, 23 Sep 2010 13:52:32 +0200

mupen64plus (1.5+dfsg1-13) unstable; urgency=low

  * debian/patches:
    - Add path_max.patch, Add dummy PATH_MAX on systems without it
      (Closes: #588066)
    - Add optional_signinfo.patch, Only use siginfo subsystem if system
      offers it (Closes: #588066)
    - Add glide64_hurd.patch, Define GNU/Hurd as UNIX system for glide64
      (Closes: #588066)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 12 Jul 2010 23:20:02 +0200

mupen64plus (1.5+dfsg1-12) unstable; urgency=low

  * Use googlecode.debian.net instead of complex own filters for
    debian/watch
  * Upgraded to policy 3.9.0, no changes required
  * Build only on i386/amd64 because upstream doesn't to support more
  * debian/patches:
    - Add link_gdk.patch, Link directly against gdk-2.0 instead
      indirectly through gtk+-2.0

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 Jun 2010 21:31:48 +0200


