=== debian/control ===
Source: mupen64plus-video-rice
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-video-rice.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-video-rice.git
Build-Depends:
 debhelper (>= 8.1.3),
 dpkg-dev (>= 1.16.0),
 libgl1-mesa-dev | libgl-dev,
 libmupen64plus-dev,
 libpng-dev,
 libsdl1.2-dev | libsdl-dev,
 pkg-config,

Package: mupen64plus-video-rice
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 mupen64plus-video-abi-1,
Provides:
 mupen64plus-video,
Description: Rice's high-level graphics emulation for mupen64plus
 High-level graphics emulation plugin for known microcodes based on OpenGL.
 It supports advanced graphics effects of the N64 and loading of high
 resolution texture packs.

Package: mupen64plus-video-rice-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 mupen64plus-video-rice (= ${binary:Version}),
Description: Rice's graphics hle for mupen64plus debug symbols package
 High-level graphics emulation plugin for known microcodes based on OpenGL.
 It supports advanced graphics effects of the N64 and loading of high
 resolution texture packs.
 .
 This package contains the debug files.
