## mupen64plus-video-rice 1.99.4+42+cb6f27f358cc

=== debian/changelog ===
mupen64plus-video-rice (1.99.4+42+cb6f27f358cc-1) experimental; urgency=low

  * New upstream snapshot from revision cb6f27f358ccf6ffbaa8fed19d864770aaa82a0b
  * Remove unnecessary --as-needed from linker flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 12 Nov 2011 21:49:59 +0100

mupen64plus-video-rice (1.99.4+38+d1cc49eac47d-1) experimental; urgency=low

  * New upstream snapshot from revision d1cc49eac47d5d7d64989611f5565cc81d2433f4
  * debian/control:
    - Depend on mupen64plus-*-abi-2
    - Build-Depend on libmupen64plus-dev >= 1.99.4+77+8bb0e6b3ae3a-1
  * Don't mix implicit and explicit rules to prevent FTBFS with make 3.82
  * debian/patches:
    - Remove upstream merged patches divide_by_zero.patch,
      highres_memcorruption.patch, infinit_loop.patch, mipmapping.patch,
      png_truecolor_conversation.patch, portable_movsxl.patch,
      rewrite_makefile.patch, undefined_functions.patch, wom_corruption.patch,
      z_coordinate_lines.patch
  * Update years in debian/copyright
  * Add debian/get-orig-source.sh for snapshots

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Aug 2011 17:07:04 +0200
