=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  debhelper (>= 8.1.3),
  dpkg-dev (>= 1.16.0),
  libgl1-mesa-dev | libgl-dev,
- libmupen64plus-dev,
- libpng-dev,
+ libmupen64plus-dev (>= 1.99.4+77+8bb0e6b3ae3a),
+ libpng12-dev | libpng-dev,
  libsdl1.2-dev | libsdl-dev,
  pkg-config,
 
@@ -25,7 +25,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- mupen64plus-video-abi-1,
+ mupen64plus-video-abi-2,
 Provides:
  mupen64plus-video,
 Description: Rice's high-level graphics emulation for mupen64plus
