## mupen64plus-video-rice 1.99.5

=== debian/changelog ===
mupen64plus-video-rice (1.99.5-3) unstable; urgency=low

  * debian/patches:
    - Add gcc_lto.patch, Enable support for link-time optimization

 -- Sven Eckelmann <sven@narfation.org>  Sat, 09 Jun 2012 01:30:50 +0200

mupen64plus-video-rice (1.99.5-2) unstable; urgency=low

  [ Simon Ruderich ]
  * Let debhelper set the buildflags implicitly

  [ Sven Eckelmann ]
  * debian/patches:
    - Add non-pic-build.patch, Fix symbol references for non-PIC builds
  * Install architecture independent files into /usr/share/games/mupen64plus

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 May 2012 23:36:28 +0200

mupen64plus-video-rice (1.99.5-1) unstable; urgency=low

  * New Upstream Version
  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * Upgrade debhelper compat to v9
  * Use buildflags.mk to set security flags in debian/rules
  * Update debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Mar 2012 20:18:37 +0100
