=== debian/changelog ===
mupen64plus-video-rice (2.0-2) unstable; urgency=low

  * debian/patches:
    - Add tnt_cominber.patch, add missing break statement for
      CM_FMT_TYPE_NOT_USED
  * Upgraded to policy 3.9.5, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Mon, 16 Dec 2013 15:16:56 +0100

mupen64plus-video-rice (2.0-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * debian/control:
    - Build-Depend on debhelper 9.20130604 for support of parameters when
      detecting targets in dh_auto_*
  * debian/rules:
    - Work around new debhelper 9.20130624 dh_auto_{clean,test} behavior
      which is causing a FTBFS by adding an explicit
      override_dh_auto_{clean,test} rule
  * debian/watch:
    - Verify new upstream versions using GPG key 954F81B094AA5BB226F5

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Jul 2013 22:53:25 +0200

mupen64plus-video-rice (2.0~rc2+1+81c42ae7724a-2) experimental; urgency=low

  * debian/rules:
    - Switch from SDL 1.2 to SDL 2.0
  * debian/control:
    - Depend on libsdl2-dev instead of libsdl1.2-dev
    - Add Break for pre-SDL2 libmupen64plus2
  * Update debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 Jun 2013 13:26:19 +0200

mupen64plus-video-rice (2.0~rc2+1+81c42ae7724a-1) experimental; urgency=low

  * New Upstream Snapshot from 81c42ae7724abbcb37d73e247f72956955573e2a
  * debian/control:
    - Depend on mupen64plus-dev >= 1.99.5+207+cbb5cbe2d4fc
    - Depend on mupen64plus-vidext-abi-3
    - Depend on mupen64plus-gfx-abi-2.2
  * Enable link-time optimization in debian/rules similar to upstream

 -- Sven Eckelmann <sven@narfation.org>  Wed, 05 Jun 2013 13:26:49 +0200

mupen64plus-video-rice (1.99.5+28+ea7ca05dfce8-1) experimental; urgency=low

  * New Upstream Snapshot from ea7ca05dfce863a0801d05e811b34c3722d96adb
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules
  * debian/patches:
    * Remove upstream merged ftbfs_x86_sse.patch

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Feb 2013 10:16:38 +0100

mupen64plus-video-rice (1.99.5+6+6f95516f85f0-2) experimental; urgency=low

  * debian/patches:
    - Add ftbfs_x86_sse.patch, Fix build on x86 with SSE inline assembler

 -- Sven Eckelmann <sven@narfation.org>  Mon, 03 Dec 2012 10:31:53 +0100

mupen64plus-video-rice (1.99.5+6+6f95516f85f0-1) experimental; urgency=low

  * New Upstream Snapshot from 6f95516f85f06098cf13e3b5851be3d9315749ff
  * Remove obsolete DM-Upload-Allowed in debian/control

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Dec 2012 22:34:21 +0100

mupen64plus-video-rice (1.99.5+4+90656ad47d82-2) experimental; urgency=low

  * Upgraded to policy 3.9.4, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sun, 07 Oct 2012 14:20:11 +0200

mupen64plus-video-rice (1.99.5+4+90656ad47d82-1) experimental; urgency=low

  * New Upstream Snapshot from 90656ad47d8257490434b12ba1ed9b3dfacb41cc
  * debian/patches:
    - Remove upstream merged gcc_lto.patch, non-pic-build.patch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 17 Jun 2012 00:57:52 +0200
