=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: optional
 Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-video-rice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-video-rice.git
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20130604),
  dpkg-dev (>= 1.16.1.1),
  libgl1-mesa-dev | libgl-dev,
- libmupen64plus-dev (>= 1.99.5),
+ libmupen64plus-dev (>= 2.0),
  libpng-dev,
- libsdl1.2-dev | libsdl-dev,
+ libsdl2-dev,
  pkg-config,
 
 Package: mupen64plus-video-rice
@@ -26,10 +25,12 @@
  ${misc:Depends},
  ${shlibs:Depends},
  mupen64plus-config-abi-2.2,
- mupen64plus-gfx-abi-2.1,
- mupen64plus-vidext-abi-2,
+ mupen64plus-gfx-abi-2.2,
+ mupen64plus-vidext-abi-3,
 Provides:
  mupen64plus-video,
+Breaks:
+ libmupen64plus2 (<< 2.0),
 Description: Rice's high-level graphics emulation for mupen64plus
  High-level graphics emulation plugin for known microcodes based on OpenGL.
  It supports advanced graphics effects of the N64 and loading of high
