=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 http://bitbucket.org/richard42/mupen64plus-video-rice/downloads/ \
	/richard42/mupen64plus-video-rice/downloads/mupen64plus-video-rice-src-(.*).tar.gz
